function InputWithDebounce({value, setValue, debounce = 500}) {
    const [directValue, setDirectValue] = React.useState(value);

    React.useEffect(() => {
        const timeoutId = setTimeout(() => {
            setValue(directValue)
        }, debounce);
        return () => clearTimeout(timeoutId);
    }, [directValue, debounce]);

    return (
        <MaterialUI.TextField
            label="filter criteria"
            value={directValue}
            onChange={event => {
                setDirectValue(event.target.value);
            }}
        />
    )
}
