'use strict';

function currentDate() {
    return new Date();
}

function formatDate(date) {
    return date.toLocaleString();
}


function ColoredApp() {
    const theme = MaterialUI.useTheme();
    const colorMode = React.useContext(ColorModeContext);
    return (
        <MaterialUI.Box
            sx={{
                display: 'flex',
                width: '100%',
                alignItems: 'center',
                justifyContent: 'center',
                bgcolor: 'background.default',
                color: 'text.primary',
                borderRadius: 1,
                p: 3,
            }}
        >
            {theme.palette.mode} mode
            <MaterialUI.IconButton sx={{ml: 1}} onClick={colorMode.toggleColorMode} color="inherit">
                {theme.palette.mode === 'dark' ? <span className="material-icons">brightness_7</span> : <span className="material-icons">brightness_4</span>}
            </MaterialUI.IconButton>
        </MaterialUI.Box>
    );
}

function RootHeader() {
    return (
        <header>
            <ColoredApp/>

            {formatDate(currentDate())}
        </header>
    );
}
